org.jbpm.process.workitem

## Class WorkDefinitionImpl

- java.lang.Object
- - org.jbpm.process.core.impl.WorkDefinitionImpl
  - - org.jbpm.process.core.impl.WorkDefinitionExtensionImpl
    - - org.jbpm.process.workitem.WorkDefinitionImpl

- All Implemented Interfaces:
    Serializable, WorkDefinition, WorkDefinitionExtension

      public class WorkDefinitionImpl
      extends WorkDefinitionExtensionImpl

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkDefinitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameterValue(String key, Object value)`
    `String` | `getCategory()`
    `String` | `getDefaultHandler()`
    `String[]` | `getDependencies()`
    `String` | `getDescription()`
    `String` | `getDocumentation()`
    `String` | `getFile()`
    `String` | `getIconEncoded()`
    `String[]` | `getMavenDependencies()`
    `String[]` | `getParameterValueNames()`
    `Map<String,Object>` | `getParameterValues()`
    `String` | `getPath()`
    `String` | `getVersion()`
    `String` | `getWidType()`
    `void` | `removeParameterValue(String key)`
    `void` | `setCategory(String category)`
    `void` | `setDefaultHandler(String defaultHandler)`
    `void` | `setDependencies(String[] dependencies)`
    `void` | `setDescription(String description)`
    `void` | `setDocumentation(String documentation)`
    `void` | `setFile(String file)`
    `void` | `setIconEncoded(String iconEncoded)`
    `void` | `setMavenDependencies(String[] mavenDependencies)`
    `void` | `setParameterValues(Map<String,Object> parameterValues)`
    `void` | `setPath(String path)`
    `void` | `setVersion(String version)`
    `void` | `setWidType(String widType)`

    - ### Methods inherited from class org.jbpm.process.core.impl.WorkDefinitionExtensionImpl

      `getCustomEditor, getDisplayName, getExplanationText, getIcon, setCustomEditor, setDisplayName, setExplanationText, setIcon`

    - ### Methods inherited from class org.jbpm.process.core.impl.WorkDefinitionImpl

      `addParameter, addResult, getName, getParameter, getParameterNames, getParameters, getResult, getResultNames, getResults, removeParameter, removeResult, setName, setParameters, setResults, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkDefinitionImpl

          public WorkDefinitionImpl()

  - ### Method Detail

    - #### getDocumentation

          public String getDocumentation()

    - #### setDocumentation

          public void setDocumentation(String documentation)

    - #### getFile

          public String getFile()

    - #### setFile

          public void setFile(String file)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getDependencies

          public String[] getDependencies()

    - #### setDependencies

          public void setDependencies(String[] dependencies)

    - #### getDefaultHandler

          public String getDefaultHandler()

    - #### setDefaultHandler

          public void setDefaultHandler(String defaultHandler)

    - #### getIconEncoded

          public String getIconEncoded()

    - #### setIconEncoded

          public void setIconEncoded(String iconEncoded)

    - #### getMavenDependencies

          public String[] getMavenDependencies()

    - #### setMavenDependencies

          public void setMavenDependencies(String[] mavenDependencies)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getWidType

          public String getWidType()

    - #### setWidType

          public void setWidType(String widType)

    - #### getParameterValues

          public Map<String,Object> getParameterValues()

    - #### setParameterValues

          public void setParameterValues(Map<String,Object> parameterValues)

    - #### addParameterValue

          public void addParameterValue(String key,
                                        Object value)

    - #### removeParameterValue

          public void removeParameterValue(String key)

    - #### getParameterValueNames

          public String[] getParameterValueNames()

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.